# Nacos API 地址和端口
NACOS_URL="https://nacos.rxdptest.k5.bigtree.tech"
# Nacos 用户名和密码
USERNAME="nacos"
PASSWORD="nacos"
# 要创建的命名空间名称
NAMESPACE_NAME="my_namespace"
NAMESPACE_ID="my_namespace_id"
NAMESPACE_DESC="my_namespace_desc"

# 获取登录 token
TOKEN=$(curl -X POST -s "$NACOS_URL/nacos/v1/auth/login" \
  -d "username=$USERNAME&password=$PASSWORD" | jq -r .accessToken)

# 创建命名空间
RESPONSE=$(curl -X POST -s "$NACOS_URL/nacos/v1/console/namespaces" \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/x-www-form-urlencoded" \
  -d "namespaceName=${NAMESPACE_NAME}&customNamespaceId=${NAMESPACE_ID}&namespaceDesc=${NAMESPACE_DESC}")

echo $RESPONSE